Our mobile app currently supports iOS 16 or above. Please upgrade your iOS version if you are having trouble using our mobile app.

New patient registration

This is for new Optum Specialty Pharmacy patients only.

Already have an account? Sign in here
Have a non-specialty prescription? Visit OptumRx

Fields marked with an asterisk

*
are required.